services:
    oro_ups.provider.transport:
        class: 'Oro\Bundle\UPSBundle\Tests\Behat\Mock\Provider\UPSTransportMock'
        arguments:
            - '@oro_ups.client.url_provider_basic'
            - '@logger'
        calls:
            - [setRestClientFactory, ['@oro_integration.transport.rest.client_factory']]
            - [setCacheDir, ['%kernel.cache_dir%']]
        tags:
            - { name: oro_integration.transport, type: '%oro_ups.integration.transport.type%', channel_type: '%oro_ups.integration.channel.type%' }

    oro_ups.client.factory_basic:
        class: 'Oro\Bundle\UPSBundle\Tests\Behat\Mock\Client\Factory\Basic\BasicUpsClientFactory'
        arguments:
            - !service
                class: Oro\Bundle\IntegrationBundle\Test\FakeRestClientFactory
            - '@oro_ups.client.url_provider_basic'
        calls:
            - [ 'setUpsClientUrlOAuthProvider', [ '@oro_ups.client.url_provider_basic_oauth' ] ]

    oro_ups.token_provider.mock:
        class: 'Oro\Bundle\UPSBundle\Tests\Behat\Mock\Client\AccessTokenProviderMock'
        decorates: oro_ups.token_provider

